Package org.springframework.http

# Interface HttpOutputMessage

All Superinterfaces:
  `HttpMessage`

All Known Subinterfaces:
  `ClientHttpRequest`, `ServerHttpResponse`, `StreamingHttpOutputMessage`

All Known Implementing Classes:
  `AbstractClientHttpRequest`, `DelegatingServerHttpResponse`, `ServletServerHttpResponse`

public interface HttpOutputMessage extends HttpMessage
Represents an HTTP output message, consisting of headers and a writable body.

Typically implemented by an HTTP request handle on the client side, or an HTTP response handle on the server side.

Since:
  3.0
Author:
  Arjen Poutsma

## Method Summary

Modifier and Type
Method
Description
`OutputStream`
`getBody()`
Return the body of the message as an output stream.

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

## Method Details

### getBody

OutputStream getBody() throws IOException
Return the body of the message as an output stream.

Returns:
  the output stream body (never `null`)
Throws:
  `IOException` - in case of I/O errors